package com.sky.service.utils;

import com.sky.mapper.OrderMapper;
import com.sky.mapper.UserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.HashMap;

@Component
public class ReportServiceImplUtils {
    @Autowired
    UserMapper userMapper;
    @Autowired
    private OrderMapper orderMapper;

    /**
     * 根据时间区间统计用户数量
     *
     * @param beginTime 开始时间
     * @param endTime   结束时间
     * @return Integer
     */
    public Integer getUserCount(LocalDateTime beginTime, LocalDateTime endTime) {
        HashMap<String, Object> map = new HashMap<>();
        map.put("begin", beginTime);
        map.put("end", endTime);
        return userMapper.countByMap(map);
    }

    public Integer getOrderCount(LocalDateTime beginTime, LocalDateTime endTime, Integer status) {
        HashMap<String, Object> map = new HashMap<>();
        map.put("begin", beginTime);
        map.put("end", endTime);
        map.put("status", status);
        return orderMapper.countByMap(map);
    }
}
